RDKit: RDKit::MolDraw2D_detail::DrawShapeSolidWedge Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolDraw2D_detail::DrawShapeSolidWedge Class Reference

`#include <DrawShape.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawShapeSolidWedge:

## Public Member Functions
| DrawShapeSolidWedge (const std::vector< Point2D > points, const DrawColour &col1, const DrawColour &col2, bool splitBonds, std::vector< Point2D > &otherBondVecs, double lineWidth=1.0, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShapeSolidWedge (const DrawShapeSolidWedge &)=delete
| DrawShapeSolidWedge (DrawShapeSolidWedge &&)=delete
| ~DrawShapeSolidWedge () override=default
DrawShapeSolidWedge & | operator= (const DrawShapeSolidWedge &)=delete
DrawShapeSolidWedge & | operator= (DrawShapeSolidWedge &&)=delete
void | buildTriangles ()
void | buildSingleColorTriangles ()
void | buildTwoColorTriangles ()
void | myDraw (MolDraw2D &drawer) const override
bool | doesRectClash (const StringRect &rect, double padding) const override
void | trimOtherBondVecs ()
void | orderOtherBondVecs ()
Public Member Functions inherited from RDKit::MolDraw2D_detail::DrawShape
| DrawShape (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShape (const DrawShape &)=delete
| DrawShape (DrawShape &&)=delete
virtual | ~DrawShape ()=default
DrawShape & | operator= (const DrawShape &)=delete
DrawShape & | operator= (DrawShape &&)=delete
void | draw (MolDraw2D &drawer)
virtual void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax) const
virtual void | scale (const Point2D &scale_factor)
virtual void | move (const Point2D &trans)

## Public Attributes
DrawColour | col2_
bool | splitBonds_
std::vector< Point2D > | otherBondVecs_
Public Attributes inherited from RDKit::MolDraw2D_detail::DrawShape
std::vector< Point2D > | points_
double | lineWidth_
bool | scaleLineWidth_
DrawColour | lineColour_
bool | fill_
int | atom1_
int | atom2_
int | bond_

## Detailed Description

Definition at line 143 of file DrawShape.h.

## Constructor & Destructor Documentation

## ◆ DrawShapeSolidWedge() [1/3]

RDKit::MolDraw2D_detail::DrawShapeSolidWedge::DrawShapeSolidWedge | ( | const std::vector< Point2D > | points,
|  | const DrawColour & | col1,
|  | const DrawColour & | col2,
|  | bool | splitBonds,
|  | std::vector< Point2D > & | otherBondVecs,
|  | double | lineWidth = 1.0,
|  | int | atom1 = -1,
|  | int | atom2 = -1,
|  | int | bond = -1 )

Referenced by DrawShapeSolidWedge(), DrawShapeSolidWedge(), operator=(), and operator=().

## ◆ DrawShapeSolidWedge() [2/3]

RDKit::MolDraw2D_detail::DrawShapeSolidWedge::DrawShapeSolidWedge | ( | const DrawShapeSolidWedge & |  | ) |
| delete

References DrawShapeSolidWedge().

## ◆ DrawShapeSolidWedge() [3/3]

RDKit::MolDraw2D_detail::DrawShapeSolidWedge::DrawShapeSolidWedge | ( | DrawShapeSolidWedge && |  | ) |
| delete

References DrawShapeSolidWedge().

## ◆ ~DrawShapeSolidWedge()

RDKit::MolDraw2D_detail::DrawShapeSolidWedge::~DrawShapeSolidWedge | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ buildSingleColorTriangles()

void RDKit::MolDraw2D_detail::DrawShapeSolidWedge::buildSingleColorTriangles | ( |  | ) |

## ◆ buildTriangles()

void RDKit::MolDraw2D_detail::DrawShapeSolidWedge::buildTriangles | ( |  | ) |

## ◆ buildTwoColorTriangles()

void RDKit::MolDraw2D_detail::DrawShapeSolidWedge::buildTwoColorTriangles | ( |  | ) |

## ◆ doesRectClash()

bool RDKit::MolDraw2D_detail::DrawShapeSolidWedge::doesRectClash | ( | const StringRect & | rect,
|  | double | padding ) const
| overridevirtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## ◆ myDraw()

void RDKit::MolDraw2D_detail::DrawShapeSolidWedge::myDraw | ( | MolDraw2D & | drawer | ) | const
| overridevirtual

Implements RDKit::MolDraw2D_detail::DrawShape.

## ◆ operator=() [1/2]

DrawShapeSolidWedge & RDKit::MolDraw2D_detail::DrawShapeSolidWedge::operator= | ( | const DrawShapeSolidWedge & |  | ) |
| delete

References DrawShapeSolidWedge().

## ◆ operator=() [2/2]

DrawShapeSolidWedge & RDKit::MolDraw2D_detail::DrawShapeSolidWedge::operator= | ( | DrawShapeSolidWedge && |  | ) |
| delete

References DrawShapeSolidWedge().

## ◆ orderOtherBondVecs()

void RDKit::MolDraw2D_detail::DrawShapeSolidWedge::orderOtherBondVecs | ( |  | ) |

## ◆ trimOtherBondVecs()

void RDKit::MolDraw2D_detail::DrawShapeSolidWedge::trimOtherBondVecs | ( |  | ) |

## Member Data Documentation

## ◆ col2_

DrawColour RDKit::MolDraw2D_detail::DrawShapeSolidWedge::col2_

Definition at line 169 of file DrawShape.h.

## ◆ otherBondVecs_

std::vector<Point2D> RDKit::MolDraw2D_detail::DrawShapeSolidWedge::otherBondVecs_

Definition at line 171 of file DrawShape.h.

## ◆ splitBonds_

bool RDKit::MolDraw2D_detail::DrawShapeSolidWedge::splitBonds_

Definition at line 170 of file DrawShape.h.

The documentation for this class was generated from the following file:

- DrawShape.h